laravel/routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
Route::get('/home','IndexController@index');
Route::get('/allreport','IndexController@index');

Route::get('/allpatient','Patients\IndexController@index');
Route::get('/create_patients','Patients\CreateEditController@create');
Route::post('/save/patient','Patients\CreateEditController@store')->name('patient.store');
Route::post('/save/patient?redirectlink=1','Patients\CreateEditController@storeRedirectreport')->name('patientredirectreport.store');

Route::get('/edit_patient/{id}','Patients\CreateEditController@edit');
Route::post('/update/patient/{id}','Patients\CreateEditController@update')->name('patient.update');
Route::delete('myproductsDeleteAll', 'Patients\CreateEditController@deleteAll');

Route::post('/updatereport','ReportController@update');
Route::get('/createreport','ReportController@create');
Route::post('/create/charactor','CharactorController@store');
Route::post('/update/charactor','CharactorController@update');
Route::post('/delete/charactor','CharactorController@delete');

Route::post('/create/relation','RelationController@store');
Route::post('/delete/relation','RelationController@delete');

Route::group(['prefix'=>'/admin','middleware' => 'roles','roles' => ['Admin']], function () {
    Route::get('/', function () {
        return view('admin');
    })->name('admin');

Route::get('/admin', [
       'uses' => 'AppController@getAdminPage',
       'as' => 'admin',
       'middleware' => 'roles',
       'roles' => ['Admin']
   ]);

   Route::post('/admin/assign-roles', [
           'uses' => 'AppController@postAdminAssignRoles',
           'as' => 'admin.assign',
           'middleware' => 'roles',
           'roles' => ['Admin']
       ]);

       Route::get('/signup', [
        'uses' => 'AuthController@getSignUpPage',
        'as' => 'signup'
    ]);
    Route::post('/signup', [
        'uses' => 'AuthController@postSignUp',
        'as' => 'signup'
    ]);
    Route::get('/import_excel_user', 'ImportExcelController@userimport');
    Route::get('/import_excel_block', 'ImportExcelController@blockimport');

    Route::post('/import_excel/importuser', 'ImportExcelController@importuser');
    Route::post('/import_excel/importblock', 'ImportExcelController@importblock');
    Route::post('/import_excel/importcustomer', 'ImportExcelController@importcustomer');
    Route::post('/import_excel/importcar', 'ImportExcelController@importcar');
    Route::post('/import_excel/importcarinsurance', 'ImportExcelController@importotherinsurance');
    Route::post('/import_excel/importotherinsurance', 'ImportExcelController@importcarinsurance');
    Route::post('/import_excel/importshow', 'ImportExcelController@importshow');
    Route::get('/import_excel/userdata', 'ImportExcelController@getuserdata');
    Route::get('/import_excel/structuredata', 'ImportExcelController@getstructuredata');

    Route ::resource('peradmin','PerAdminController');
    Route::post('peradmin/search', 'PerAdminController@search')->name('peradmin.search');

    Route::resource('/userauth', 'UserAuthController');
    Route::post('/userauth/search', 'UserAuthController@search')->name('userauth.search');

    Route::post('user-management/search', 'UserManagementController@search')->name('user-management.search');
    Route::resource('user-management', 'UserManagementController');

    Route::resource('employee-management', 'EmployeeManagementController');
    Route::post('employee-management/search', 'EmployeeManagementController@search')->name('employee-management.search');

    Route::resource('/structure', 'StructureController');
    Route::post('/structure/search', 'StructureController@search')->name('structure.search');

    Route::resource('/server', 'ServerController');
    Route::post('/server/search', 'ServerController@search')->name('server.search');

    Route::resource('/portreflink', 'PortRefLinkController');
    Route::post('/portreflink/search', 'PortRefLinkController@search')->name('portreflink.search');
	Route::resource('/membertype', 'MemberTypeController');
    Route::post('/membertype/search', 'MemberTypeController@search')->name('membertype.search');

    Route::resource('/block', 'BlockController');
    Route::post('/block/search', 'BlockController@search')->name('block.search');

    Route::resource('system-management/country', 'CountryController');
    Route::post('system-management/country/search', 'CountryController@search')->name('country.search');

    Route::post('addCountry', 'CountryController@add');


    Route::resource('system-management/state', 'StateController');
    Route::post('system-management/state/search', 'StateController@search')->name('state.search');

    Route::resource('system-management/city', 'CityController');
    Route::post('system-management/city/search', 'CityController@search')->name('city.search');

    Route::resource('/porttype', 'PortTypeController');
    Route::post('/porttype/search', 'PortTypeController@search')->name('porttype.search');
    Route::resource('/portcat', 'PortCatController');
    Route::post('/portcat/search', 'PortCatController@search')->name('portcat.search');
	  Route::resource('/portfolioadmin', 'PortfolioAdminController');
    Route::post('/portfolioadmin/search', 'PortfolioAdminController@search')->name('portfolioadmin.search');
    Route::get('/portfolioadmin/{dep}','PortfolioAdminController@portDep');
    Route::get('/portfolioadmin/{block}','PortfolioAdminController@portblock');
    Route::get('/portfolioadmin','PortfolioAdminController@index');
    Route::get('/portfolioadmin/shows/{id}',['uses'=>'PortfolioAdminController@showdetail']);
    Route::get('/portfolioadmin/uploadfile/{id}',['uses'=>'PortfolioAdminController@gotoup']);
    Route::get('/portfolioadmin/port/file/{id}',['uses'=>'PortfolioAdminController@portfile']);
    Route::get('/portfolioadmin/uploadfile/{id}/{portnumber}/{fileportref}{cat}/{ref}/{filerefname}',['uses'=>'FileAdminController@create']);
    Route::get('/portfolioadmin/editfile/{id}/{portnumber}/{fileportref}{cat}/{ref}/{filerefname}/{fileid}',['uses'=>'FileAdminController@edit']);
    Route::post('/portfileup','FileAdminController@change')->name('file.change');
    Route::get('/showfile/{id}',['uses'=>'PortfolioAdminController@showfile']);
    //Route::post('/portfolioadmin/fixup','FileAdminController@fixup')->name('file.fix');
    Route::match(['put', 'patch'], '/file/fixup/{id}','FileAdminController@fixup')->name('file.fix');

        Route::get('/file/fix/{id}','FileAdminController@fix');

	  Route::resource('/notiadmin', 'NotiAdminController');
    Route::post('/notiadmin/search', 'NotiAdminController@search')->name('notiadmin.search');

	Route::resource('/message_category', 'MessageCategoryController');
    Route::post('/message_category/search', 'MessageCategoryController@search')->name('message_category.search');

    Route::resource('/message-type', 'MessageTypeController');
    Route::post('/message-type/search', 'MessageTypeController@search')->name('message-type.search');

	  Route::resource('/match-id', 'MatchIdController');
    Route::post('/match-id/search', 'MatchIdController@search')->name('match-id.search');


    Route::resource('usergroup', 'UserGroupController');
    Route::post('usergroup/search', 'UserGroupController@search')->name('usergroup.search');

    Route::resource('memgroup', 'MemberGroupController');
    Route::post('memgroup/search', 'MemberGroupController@search')->name('memgroup.search');

    Route::resource('pidgroup', 'PidGroupController');
    Route::post('pidgroup/search', 'PidGroupController@search')->name('pidgroup.search');

    Route::resource('/match-user-group', 'MatchUserIdController');
    Route::post('/match-user-group/search', 'MatchUserIdController@search')->name('match-user-group.search');

    Route::resource('/match-member-group', 'MatchMemberIdController');
    Route::post('/match-member-group/search', 'MatchMemberIdController@search')->name('match-member-group.search');
    Route::get('/academicmember', 'MatchMemberIdController@wealththai');

    Route::resource('/match-pid-group', 'MatchPidIdController');
    Route::post('/match-pid-group/search', 'MatchPidIdController@search')->name('match-pid-group.search');

    Route::resource('/permission', 'PermissionController');
    Route::post('/permission/search', 'PermissionController@search')->name('permission.search');


	Route::resource('/view', 'ViewController');
    Route::post('/view/search', 'ViewController@search')->name('view.search');

    Route::resource('/service', 'ServiceCenterController');
    Route::post('/service/search', 'ServiceCenterController@search')->name('service.search');
    //Route::post('/service/save','ServiceCenterController@store')->name('servicecenter.store');

    Route::resource('/serviceform', 'ServiceFormController');
    Route::post('/serviceform/search', 'ServiceFormController@search')->name('serviceform.search');
    Route::post('/serviceform/sent', 'ServiceFormController@sentservice')->name('serviceform.sentservice');


    Route::resource('/view-member', 'ViewperController');
    Route::post('/view-member/search', 'ViewperController@search')->name('view-member.search');

	Route::resource('/match-view', 'MatchViewController');
    Route::post('/match-view/search', 'MatchViewController@search')->name('match-view.search');

    Route::resource('/match-view-member', 'MatchViewperController');
      Route::post('/match-view-member/search', 'MatchViewperController@search')->name('match-view-member.search');


    Route::resource('usergroup', 'UserGroupController');

laravel/resources/views/employees-mgmt/base.blade.php
@extends('layouts.app-template')
@section('content')
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <h1>
        Employee Mangement
      </h1>
      <ol class="breadcrumb">
        <!-- li><a href="#"><i class="fa fa-dashboard"></i> Level</a></li-->
        <li class="active">Employee Mangement</li>
      </ol>
    </section>
    @yield('action-content')
    <!-- /.content -->
  </div>
@endsection

laravel/resources/views/employees-mgmt/create.blade.php
@extends('employees-mgmt.base')

@section('action-content')
<div class="container">
    <div class="row">
        <div class="col-md-8 col-md-offset-2">
            <div class="panel panel-default">
                <div class="panel-heading">Add new employee</div>
                <div class="panel-body">
                    <form class="form-horizontal" role="form" method="POST" action="{{ route('employee-management.store') }}" enctype="multipart/form-data">
                        {{ csrf_field() }}
                        <div class="form-group{{ $errors->has('firstname') ? ' has-error' : '' }}">
                            <label for="firstname" class="col-md-4 control-label">First Name</label>

                            <div class="col-md-6">
                                <input id="firstname" type="text" class="form-control" name="firstname" value="{{ old('firstname') }}" required autofocus>

                                @if ($errors->has('firstname'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('firstname') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>
                        <div class="form-group{{ $errors->has('lastname') ? ' has-error' : '' }}">
                            <label for="lastname" class="col-md-4 control-label">Last Name</label>

                            <div class="col-md-6">
                                <input id="lastname" type="text" class="form-control" name="lastname" value="{{ old('lastname') }}" required>

                                @if ($errors->has('lastname'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('lastname') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>
                        <div class="form-group{{ $errors->has('middlename') ? ' has-error' : '' }}">
                            <label for="middlename" class="col-md-4 control-label">Middle Name</label>

                            <div class="col-md-6">
                                <input id="middlename" type="text" class="form-control" name="middlename" value="{{ old('middlename') }}" required>

                                @if ($errors->has('middlename'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('middlename') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>
                        <div class="form-group{{ $errors->has('address') ? ' has-error' : '' }}">
                            <label for="address" class="col-md-4 control-label">Address</label>

                            <div class="col-md-6">
                                <input id="address" type="text" class="form-control" name="address" value="{{ old('address') }}" required>

                                @if ($errors->has('address'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('address') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-md-4 control-label">Country</label>
                            <div class="col-md-6">
                                <select class="form-control js-country" name="country_id">
                                    <option value="-1">Please select your country</option>
                                    @foreach ($countries as $country)
                                        <option value="{{$country->id}}">{{$country->name}}</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-md-4 control-label">State</label>
                            <div class="col-md-6">
                                <select class="form-control js-states" name="state_id">
                                    <option value="-1">Please select your state</option>
                                    {{--  @foreach ($states as $state)
                                        <option value="{{$state->id}}">{{$state->name}}</option>
                                    @endforeach  --}}
                                </select>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-md-4 control-label">City</label>
                            <div class="col-md-6">
                                <select class="form-control js-cities" name="city_id">
                                    <option value="-1">Please select your city</option>
                                    {{--  @foreach ($cities as $city)
                                        <option value="{{$city->id}}">{{$city->name}}</option>
                                    @endforeach  --}}
                                </select>
                            </div>
                        </div>
                        <div class="form-group{{ $errors->has('zip') ? ' has-error' : '' }}">
                            <label for="zip" class="col-md-4 control-label">Zip</label>

                            <div class="col-md-6">
                                <input id="zip" type="text" class="form-control" name="zip" value="{{ old('zip') }}" required>

                                @if ($errors->has('zip'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('zip') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>
                        <div class="form-group{{ $errors->has('age') ? ' has-error' : '' }}">
                            <label for="zip" class="col-md-4 control-label">Age</label>

                            <div class="col-md-6">
                                <input id="age" type="text" class="form-control" name="age" value="{{ old('age') }}" required>

                                @if ($errors->has('age'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('age') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-md-4 control-label">Birthday</label>
                            <div class="col-md-6">
                                <div class="input-group date">
                                    <div class="input-group-addon">
                                        <i class="fa fa-calendar"></i>
                                    </div>
                                    <input type="text" value="{{ old('birthdate') }}" name="birthdate" class="form-control pull-right" id="birthDate" required>
                                </div>
                            </div>
                        </div>
                          <div class="form-group">
                            <label class="col-md-4 control-label">Hired Date</label>
                            <div class="col-md-6">
                                <div class="input-group date">
                                    <div class="input-group-addon">
                                        <i class="fa fa-calendar"></i>
                                    </div>
                                    <input type="text" value="{{ old('date_hired') }}" name="date_hired" class="form-control pull-right" id="hiredDate" required>
                                </div>
                            </div>
                        </div>

                        
                        <div class="form-group">
                            <label for="avatar" class="col-md-4 control-label" >Picture</label>
                            <div class="col-md-6">
                                <input type="file" id="picture" name="picture" required >
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="col-md-6 col-md-offset-4">
                                <button type="submit" class="btn btn-primary">
                                    Create
                                </button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

laravel/resources/views/employees-mgmt/index.blade.php
@extends('employees-mgmt.base')
@section('action-content')
    <!-- Main content -->
    <section class="content">
      <div class="box">
  <div class="box-header">
    <div class="row">
        <div class="col-sm-8">
          <h3 class="box-title">List of employees</h3>
        </div>
        <div class="col-sm-4">
          <a class="btn btn-primary" href="{{ route('employee-management.create') }}">Add new employee</a>
        </div>
    </div>
  </div>
  <!-- /.box-header -->
  <div class="box-body">
      <div class="row">
        <div class="col-sm-6"></div>
        <div class="col-sm-6"></div>
      </div>
      <form method="POST" action="{{ route('employee-management.search') }}">
         {{ csrf_field() }}
         @component('layouts.search', ['title' => 'Search'])
          @component('layouts.two-cols-search-row', ['items' => ['First Name', 'Department_Name'],
          'oldVals' => [isset($searchingVals) ? $searchingVals['firstname'] : '', isset($searchingVals) ? $searchingVals['structure_name'] : '']])
          @endcomponent
        @endcomponent
      </form>
    <div id="example2_wrapper" class="dataTables_wrapper form-inline dt-bootstrap">
      <div class="row">
        <div class="col-sm-12">
          <table id="example2" class="table table-bordered table-hover dataTable" role="grid" aria-describedby="example2_info">
            <thead>
              <tr role="row">
                <th width="8%" tabindex="0" aria-controls="example2" rowspan="1" colspan="1" aria-label="Picture: activate to sort column descending" aria-sort="ascending">Picture</th>
                <th width="10%" class="sorting_asc" tabindex="0" aria-controls="example2" rowspan="1" colspan="1" aria-label="Name: activate to sort column descending" aria-sort="ascending">Employee Name</th>
                <th width="12%" class="sorting hidden-xs" tabindex="0" aria-controls="example2" rowspan="1" colspan="1" aria-label="Address: activate to sort column ascending">Address</th>
                <th width="8%" class="sorting hidden-xs" tabindex="0" aria-controls="example2" rowspan="1" colspan="1" aria-label="Age: activate to sort column ascending">Age</th>
                <th width="8%" class="sorting hidden-xs" tabindex="0" aria-controls="example2" rowspan="1" colspan="1" aria-label="Birthdate: activate to sort column ascending">Birthdate</th>
                <th width="8%" class="sorting hidden-xs" tabindex="0" aria-controls="example2" rowspan="1" colspan="1" aria-label="HiredDate: activate to sort column ascending">Hired Date</th>
                <th width="8%" class="sorting hidden-xs" tabindex="0" aria-controls="example2" rowspan="1" colspan="1" aria-label="Department: activate to sort column ascending">Structure</th>
                <th width="8%" class="sorting hidden-xs" tabindex="0" aria-controls="example2" rowspan="1" colspan="1" aria-label="Division: activate to sort column ascending">Block</th>
                <th tabindex="0" aria-controls="example2" rowspan="1" colspan="2" aria-label="Action: activate to sort column ascending">Action</th>
              </tr>
            </thead>
            <tbody>
            @foreach ($employees as $employee)
                <tr role="row" class="odd">
                  <td><img src="../{{$employee->picture }}" width="50px" height="50px"/></td>
                  <td class="sorting_1">{{ $employee->firstname }} {{$employee->middlename}} {{$employee->lastname}}</td>
                  <td class="hidden-xs">{{ $employee->address }}</td>
                  <td class="hidden-xs">{{ $employee->age }}</td>
                  <td class="hidden-xs">{{ $employee->birthdate }}</td>
                  <td class="hidden-xs">{{ $employee->date_hired }}</td>
                  <td class="hidden-xs">{{ $employee->structure_name }}</td>
                  <td class="hidden-xs">{{ $employee->block_name }}</td>
                  <td>
                    <form class="row" method="POST" action="{{ route('employee-management.destroy', ['id' => $employee->id]) }}" onsubmit = "return confirm('Are you sure?')">
                        <input type="hidden" name="_method" value="DELETE">
                        <input type="hidden" name="_token" value="{{ csrf_token() }}">
                        <a href="{{ route('employee-management.edit', ['id' => $employee->id]) }}" class="btn btn-warning col-sm-3 col-xs-5 btn-margin">
                        Update
                        </a>
                         <button type="submit" class="btn btn-danger col-sm-3 col-xs-5 btn-margin">
                          Delete
                        </button>
                    </form>
                  </td>
              </tr>
            @endforeach
            </tbody>
            <tfoot>
              <tr>
                <tr role="row">
                <th width="8%" tabindex="0" aria-controls="example2" rowspan="1" colspan="1" aria-label="Picture: activate to sort column descending" aria-sort="ascending">Picture</th>
                <th width="10%" class="sorting_asc" tabindex="0" aria-controls="example2" rowspan="1" colspan="1" aria-label="Name: activate to sort column descending" aria-sort="ascending">Employee Name</th>
                <th width="12%" class="sorting hidden-xs" tabindex="0" aria-controls="example2" rowspan="1" colspan="1" aria-label="Address: activate to sort column ascending">Address</th>
                <th width="8%" class="sorting hidden-xs" tabindex="0" aria-controls="example2" rowspan="1" colspan="1" aria-label="Age: activate to sort column ascending">Age</th>
                <th width="8%" class="sorting hidden-xs" tabindex="0" aria-controls="example2" rowspan="1" colspan="1" aria-label="Birthdate: activate to sort column ascending">Birthdate</th>
                <th width="8%" class="sorting hidden-xs" tabindex="0" aria-controls="example2" rowspan="1" colspan="1" aria-label="HiredDate: activate to sort column ascending">Hired Date</th>
                <th width="8%" class="sorting hidden-xs" tabindex="0" aria-controls="example2" rowspan="1" colspan="1" aria-label="Department: activate to sort column ascending">Structure</th>
                <th width="8%" class="sorting hidden-xs" tabindex="0" aria-controls="example2" rowspan="1" colspan="1" aria-label="Division: activate to sort column ascending">Block</th>
                <th tabindex="0" aria-controls="example2" rowspan="1" colspan="2" aria-label="Action: activate to sort column ascending">Action</th>
              </tr>
              </tr>
            </tfoot>
          </table>
        </div>
      </div>
      <div class="row">
        <div class="col-sm-5">
          <div class="dataTables_info" id="example2_info" role="status" aria-live="polite">Showing 1 to {{count($employees)}} of {{count($employees)}} entries</div>
        </div>
        <div class="col-sm-7">
          <div class="dataTables_paginate paging_simple_numbers" id="example2_paginate">
            {{ $employees->links() }}
          </div>
        </div>
      </div>
    </div>
  </div>
  <!-- /.box-body -->
</div>
    </section>
    <!-- /.content -->
  </div>
@endsection